define(["require", "exports", "@process-engine/management_api_contracts"], function (require, exports, management_api_contracts_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class InternalAccessor {
        constructor(managementApiService) {
            this.managementApiService = undefined;
            this.managementApiService = managementApiService;
        }
        // Notifications
        async onActivityReached(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onActivityReached(identity, callback, subscribeOnce);
        }
        async onActivityFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onActivityFinished(identity, callback, subscribeOnce);
        }
        // ------------ For backwards compatibility only
        async onCallActivityWaiting(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onCallActivityWaiting(identity, callback, subscribeOnce);
        }
        async onCallActivityFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onCallActivityFinished(identity, callback, subscribeOnce);
        }
        // ------------
        async onEmptyActivityWaiting(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onEmptyActivityWaiting(identity, callback, subscribeOnce);
        }
        async onEmptyActivityFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onEmptyActivityFinished(identity, callback, subscribeOnce);
        }
        async onEmptyActivityForIdentityWaiting(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onEmptyActivityForIdentityWaiting(identity, callback, subscribeOnce);
        }
        async onEmptyActivityForIdentityFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onEmptyActivityForIdentityFinished(identity, callback, subscribeOnce);
        }
        async onUserTaskWaiting(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onUserTaskWaiting(identity, callback, subscribeOnce);
        }
        async onUserTaskFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onUserTaskFinished(identity, callback, subscribeOnce);
        }
        async onUserTaskForIdentityWaiting(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onUserTaskForIdentityWaiting(identity, callback, subscribeOnce);
        }
        async onUserTaskForIdentityFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onUserTaskForIdentityFinished(identity, callback, subscribeOnce);
        }
        async onBoundaryEventTriggered(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onBoundaryEventTriggered(identity, callback, subscribeOnce);
        }
        async onIntermediateThrowEventTriggered(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onIntermediateThrowEventTriggered(identity, callback, subscribeOnce);
        }
        async onIntermediateCatchEventReached(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onIntermediateCatchEventReached(identity, callback, subscribeOnce);
        }
        async onIntermediateCatchEventFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onIntermediateCatchEventFinished(identity, callback, subscribeOnce);
        }
        async onManualTaskWaiting(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onManualTaskWaiting(identity, callback, subscribeOnce);
        }
        async onManualTaskFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onManualTaskFinished(identity, callback, subscribeOnce);
        }
        async onManualTaskForIdentityWaiting(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onManualTaskForIdentityWaiting(identity, callback, subscribeOnce);
        }
        async onManualTaskForIdentityFinished(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onManualTaskForIdentityFinished(identity, callback, subscribeOnce);
        }
        async onProcessStarted(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onProcessStarted(identity, callback, subscribeOnce);
        }
        async onProcessWithProcessModelIdStarted(identity, callback, processModelId, subscribeOnce = false) {
            return this.managementApiService.onProcessWithProcessModelIdStarted(identity, callback, processModelId, subscribeOnce);
        }
        async onProcessTerminated(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onProcessTerminated(identity, callback, subscribeOnce);
        }
        async onProcessError(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onProcessError(identity, callback, subscribeOnce);
        }
        async onProcessEnded(identity, callback, subscribeOnce = false) {
            return this.managementApiService.onProcessEnded(identity, callback, subscribeOnce);
        }
        async removeSubscription(identity, subscription) {
            return this.managementApiService.removeSubscription(identity, subscription);
        }
        // Cronjobs
        async getAllActiveCronjobs(identity) {
            return this.managementApiService.getAllActiveCronjobs(identity);
        }
        async getCronjobExecutionHistoryForProcessModel(identity, processModelId, startEventId) {
            return this.managementApiService.getCronjobExecutionHistoryForProcessModel(identity, processModelId, startEventId);
        }
        async getCronjobExecutionHistoryForCrontab(identity, crontab) {
            return this.managementApiService.getCronjobExecutionHistoryForCrontab(identity, crontab);
        }
        // Correlations
        async getAllCorrelations(identity) {
            return this.managementApiService.getAllCorrelations(identity);
        }
        async getActiveCorrelations(identity) {
            return this.managementApiService.getActiveCorrelations(identity);
        }
        async getCorrelationById(identity, correlationId) {
            return this.managementApiService.getCorrelationById(identity, correlationId);
        }
        async getCorrelationByProcessInstanceId(identity, processInstanceId) {
            return this.managementApiService.getCorrelationByProcessInstanceId(identity, processInstanceId);
        }
        async getCorrelationsByProcessModelId(identity, processModelId) {
            return this.managementApiService.getCorrelationsByProcessModelId(identity, processModelId);
        }
        // ProcessModels
        async getProcessModels(identity) {
            return this.managementApiService.getProcessModels(identity);
        }
        async getProcessModelById(identity, processModelId) {
            return this.managementApiService.getProcessModelById(identity, processModelId);
        }
        async getProcessModelByProcessInstanceId(identity, processInstanceId) {
            return this.managementApiService.getProcessModelByProcessInstanceId(identity, processInstanceId);
        }
        async startProcessInstance(identity, processModelId, payload, startCallbackType = management_api_contracts_1.DataModels.ProcessModels.StartCallbackType.CallbackOnProcessInstanceCreated, startEventId, endEventId) {
            return this.managementApiService.startProcessInstance(identity, processModelId, payload, startCallbackType, startEventId, endEventId);
        }
        async getStartEventsForProcessModel(identity, processModelId) {
            return this.managementApiService.getStartEventsForProcessModel(identity, processModelId);
        }
        async updateProcessDefinitionsByName(identity, name, payload) {
            return this.managementApiService.updateProcessDefinitionsByName(identity, name, payload);
        }
        async deleteProcessDefinitionsByProcessModelId(identity, processModelId) {
            return this.managementApiService.deleteProcessDefinitionsByProcessModelId(identity, processModelId);
        }
        // Events
        async getWaitingEventsForProcessModel(identity, processModelId) {
            return this.managementApiService.getWaitingEventsForProcessModel(identity, processModelId);
        }
        async getWaitingEventsForCorrelation(identity, correlationId) {
            return this.managementApiService.getWaitingEventsForCorrelation(identity, correlationId);
        }
        async getWaitingEventsForProcessModelInCorrelation(identity, processModelId, correlationId) {
            return this.managementApiService.getWaitingEventsForProcessModelInCorrelation(identity, processModelId, correlationId);
        }
        async triggerMessageEvent(identity, messageName, payload) {
            return this.managementApiService.triggerMessageEvent(identity, messageName, payload);
        }
        async triggerSignalEvent(identity, signalName, payload) {
            return this.managementApiService.triggerSignalEvent(identity, signalName, payload);
        }
        // Empty Activities
        async getEmptyActivitiesForProcessModel(identity, processModelId) {
            return this.managementApiService.getEmptyActivitiesForProcessModel(identity, processModelId);
        }
        async getEmptyActivitiesForProcessInstance(identity, processInstanceId) {
            return this.managementApiService.getEmptyActivitiesForProcessInstance(identity, processInstanceId);
        }
        async getEmptyActivitiesForCorrelation(identity, correlationId) {
            return this.managementApiService.getEmptyActivitiesForCorrelation(identity, correlationId);
        }
        async getEmptyActivitiesForProcessModelInCorrelation(identity, processModelId, correlationId) {
            return this.managementApiService.getEmptyActivitiesForProcessModelInCorrelation(identity, processModelId, correlationId);
        }
        async finishEmptyActivity(identity, processInstanceId, correlationId, emptyActivityInstanceId) {
            return this.managementApiService.finishEmptyActivity(identity, processInstanceId, correlationId, emptyActivityInstanceId);
        }
        // FlowNodeInstances
        async getFlowNodeInstancesForProcessInstance(identity, processInstanceId) {
            return this.managementApiService.getFlowNodeInstancesForProcessInstance(identity, processInstanceId);
        }
        // UserTasks
        async getUserTasksForProcessModel(identity, processModelId) {
            return this.managementApiService.getUserTasksForProcessModel(identity, processModelId);
        }
        async getUserTasksForProcessInstance(identity, processInstanceId) {
            return this.managementApiService.getUserTasksForProcessInstance(identity, processInstanceId);
        }
        async getUserTasksForCorrelation(identity, correlationId) {
            return this.managementApiService.getUserTasksForCorrelation(identity, correlationId);
        }
        async getUserTasksForProcessModelInCorrelation(identity, processModelId, correlationId) {
            return this.managementApiService.getUserTasksForProcessModelInCorrelation(identity, processModelId, correlationId);
        }
        async finishUserTask(identity, processInstanceId, correlationId, userTaskInstanceId, userTaskResult) {
            return this.managementApiService.finishUserTask(identity, processInstanceId, correlationId, userTaskInstanceId, userTaskResult);
        }
        // ManualTasks
        async getManualTasksForProcessModel(identity, processModelId) {
            return this.managementApiService.getManualTasksForProcessModel(identity, processModelId);
        }
        async getManualTasksForProcessInstance(identity, processInstanceId) {
            return this.managementApiService.getManualTasksForProcessInstance(identity, processInstanceId);
        }
        async getManualTasksForCorrelation(identity, correlationId) {
            return this.managementApiService.getManualTasksForCorrelation(identity, correlationId);
        }
        async getManualTasksForProcessModelInCorrelation(identity, processModelId, correlationId) {
            return this.managementApiService.getManualTasksForProcessModelInCorrelation(identity, processModelId, correlationId);
        }
        async finishManualTask(identity, processInstanceId, correlationId, manualTaskInstanceId) {
            return this.managementApiService.finishManualTask(identity, processInstanceId, correlationId, manualTaskInstanceId);
        }
        // Heatmap related features
        async getRuntimeInformationForProcessModel(identity, processModelId) {
            return this.managementApiService.getRuntimeInformationForProcessModel(identity, processModelId);
        }
        async getRuntimeInformationForFlowNode(identity, processModelId, flowNodeId) {
            return this.managementApiService.getRuntimeInformationForFlowNode(identity, processModelId, flowNodeId);
        }
        async getActiveTokensForProcessModel(identity, processModelId) {
            return this.managementApiService.getActiveTokensForProcessModel(identity, processModelId);
        }
        async getActiveTokensForCorrelationAndProcessModel(identity, correlationId, processModelId) {
            return this.managementApiService.getActiveTokensForCorrelationAndProcessModel(identity, correlationId, processModelId);
        }
        async getActiveTokensForProcessInstance(identity, processInstanceId) {
            return this.managementApiService.getActiveTokensForProcessInstance(identity, processInstanceId);
        }
        async getActiveTokensForFlowNode(identity, flowNodeId) {
            return this.managementApiService.getActiveTokensForFlowNode(identity, flowNodeId);
        }
        async getProcessModelLog(identity, processModelId, correlationId) {
            return this.managementApiService.getProcessModelLog(identity, processModelId, correlationId);
        }
        async getProcessInstanceLog(identity, processModelId, processInstanceId) {
            return this.managementApiService.getProcessInstanceLog(identity, processModelId, processInstanceId);
        }
        async getTokensForFlowNode(identity, correlationId, processModelId, flowNodeId) {
            return this.managementApiService.getTokensForFlowNode(identity, correlationId, processModelId, flowNodeId);
        }
        async getTokensForFlowNodeByProcessInstanceId(identity, processInstanceId, flowNodeId) {
            return this.managementApiService.getTokensForFlowNodeByProcessInstanceId(identity, processInstanceId, flowNodeId);
        }
        async getTokensForCorrelationAndProcessModel(identity, correlationId, processModelId) {
            return this.managementApiService.getTokensForCorrelationAndProcessModel(identity, correlationId, processModelId);
        }
        async getTokensForProcessInstance(identity, processInstanceId) {
            return this.managementApiService.getTokensForProcessInstance(identity, processInstanceId);
        }
        async terminateProcessInstance(identity, processInstanceId) {
            return this.managementApiService.terminateProcessInstance(identity, processInstanceId);
        }
    }
    exports.InternalAccessor = InternalAccessor;
});
//# sourceMappingURL=internal_accessor.js.map